<?php

namespace Drupal\smallads\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;
use \Drupal\Core\Render\Markup;
use \Drupal\smallads\Plugin\Field\FieldType\ScopeItem;

/**
 * Field formatter.
 *
 * Shows an empty div with class according to whether the given date is before.
 * or after now.
 *
 * @FieldFormatter(
 *   id = "smallad_scope",
 *   label = @Translation("Visibility"),
 *   field_types = {
 *     "smallad_scope"
 *   }
 * )
 */
class ScopeFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $scopes = ScopeItem::validScopes();
    return [[
      '#prefix' => '<div id = "#edit-scope-'.$items->value.'">',
      '#markup' => Markup::Create($scopes[$items->value]),
      '#suffix' => '</div>'
    ]];
  }

}
