<?php

namespace Drupal\smallads\Plugin\Validation\Constraint;

use \Drupal\Core\Entity\Plugin\Validation\Constraint\CompositeConstraintBase;

/**
 * Check that the two wallets in the transaction are different.
 *
 * Supports validating payer & payee of parent transactions.
 *
 * @Constraint(
 *   id = "smallad_is_visible",
 *   label = @Translation("Checks that the smallad is visible if the date is after now."),
 * )
 */
class SmalladIsVisibleConstraint extends CompositeConstraintBase {

  public string $datelate = 'If the expiry date is after now, the scope must not be private';
  public string $dateEarly = 'If the expiry date is after now, the scope must not be private';

  /**
   * {@inheritDoc}
   */
  public function coversFields() {
    return ['expires'];
  }

}
